Package org.eclipse.cdt.core.parser

# Class Keywords

java.lang.Object
org.eclipse.cdt.core.parser.Keywords

public class Keywords extends Object

Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`_ALIGNAS`
`static final String`
`_ALIGNOF`
`static final String`
`_BOOL`
`static final String`
`_COMPLEX`
`static final String`
`_IMAGINARY`
`static final char[]`
`_Pragma`
`static final String`
`ALIGNAS`
`static final String`
`ALIGNOF`
`static final String`
`AND`
`static final String`
`AND_EQ`
`static final String`
`ASM`
`static final String`
`AUTO`
`static final String`
`BITAND`
`static final String`
`BITOR`
`static final String`
`BOOL`
`static final String`
`BREAK`
`static final char[]`
`c__HAS_FEATURE`
`static final char[]`
`c__HAS_INCLUDE`
`static final char[]`
`c__HAS_INCLUDE_NEXT`
`static final char[]`
`c_ALIGNAS`
`static final char[]`
`c_ALIGNOF`
`static final char[]`
`c_BOOL`
`static final char[]`
`c_COMPLEX`
`static final char[]`
`c_IMAGINARY`
`static final char[]`
`cALIGNAS`
`static final char[]`
`cALIGNOF`
`static final char[]`
`cAND`
`static final char[]`
`cAND_EQ`
`static final String`
`CASE`
`static final char[]`
`cASM`
`static final char[]`
`cASSERT`
`static final String`
`CAST`
`static final String`
`CATCH`
`static final char[]`
`cAUTO`
`static final char[]`
`cBITAND`
`static final char[]`
`cBITOR`
`static final char[]`
`cBOOL`
`static final char[]`
`cBREAK`
`static final char[]`
`cCASE`
`static final char[]`
`cCATCH`
`static final char[]`
`cCHAR`
`static final char[]`
`cCHAR16_T`
`static final char[]`
`cCHAR32_T`
`static final char[]`
`cCHAR8_T`
`static final char[]`
`cCLASS`
`static final char[]`
`cCOMPL`
`static final char[]`
`cCONST`
`static final char[]`
`cCONST_CAST`
`static final char[]`
`cCONSTEXPR`
`static final char[]`
`cCONTINUE`
`static final char[]`
`cDECLTYPE`
`static final char[]`
`cDEFAULT`
`static final char[]`
`cDEFINE`
`static final char[]`
`cDEFINED`
`static final char[]`
`cDELETE`
`static final char[]`
`cDO`
`static final char[]`
`cDOUBLE`
`static final char[]`
`cDYNAMIC_CAST`
`static final char[]`
`cELIF`
`static final char[]`
`cELSE`
`static final char[]`
`cENDIF`
`static final char[]`
`cENUM`
`static final char[]`
`cERROR`
`static final char[]`
`cEXPLICIT`
`static final char[]`
`cEXPORT`
`static final char[]`
`cEXTERN`
`static final char[]`
`cFALSE`
`static final char[]`
`cFINAL`
`static final char[]`
`cFLOAT`
`static final char[]`
`cFOR`
`static final char[]`
`cFRIEND`
`static final char[]`
`cGOTO`
`static final String`
`CHAR`
`static final String`
`CHAR16_T`
`static final String`
`CHAR32_T`
`static final String`
`CHAR8_T`
`static final char[]`
`cIDENT`
`static final char[]`
`cIF`
`static final char[]`
`cIFDEF`
`static final char[]`
`cIFNDEF`
`static final char[]`
`cIMPORT`
`static final char[]`
`cINCLUDE`
`static final char[]`
`cINCLUDE_NEXT`
`static final char[]`
`cINLINE`
`static final char[]`
`cINT`
`static final String`
`CLASS`
`static final char[]`
`cLINE`
`static final char[]`
`cLONG`
`static final char[]`
`cMUTABLE`
`static final char[]`
`cNAMESPACE`
`static final char[]`
`cNEW`
`static final char[]`
`cNOEXCEPT`
`static final char[]`
`cNOT`
`static final char[]`
`cNOT_EQ`
`static final char[]`
`cNULLPTR`
`static final String`
`COMPL`
`static final String`
`CONST`
`static final String`
`CONST_CAST`
`static final String`
`CONSTEXPR`
`static final String`
`CONTINUE`
`static final char[]`
`cOPERATOR`
`static final char[]`
`cOR`
`static final char[]`
`cOR_EQ`
`static final char[]`
`cOVERRIDE`
`static final char[]`
`cpAMPER`
`static final char[]`
`cpAMPERASSIGN`
`static final char[]`
`cpAND`
`static final char[]`
`cpARROW`
`static final char[]`
`cpARROWSTAR`
`static final char[]`
`cpASSIGN`
`static final char[]`
`cpBITOR`
`static final char[]`
`cpBITORASSIGN`
`static final char[]`
`cpCOLON`
`static final char[]`
`cpCOLONCOLON`
`static final char[]`
`cpCOMMA`
`static final char[]`
`cpCOMPL`
`static final char[]`
`cpDECR`
`static final char[]`
`cpDIV`
`static final char[]`
`cpDIVASSIGN`
`static final char[]`
`cpDOT`
`static final char[]`
`cpDOTSTAR`
`static final char[]`
`cpELLIPSIS`
`static final char[]`
`cpEQUAL`
`static final char[]`
`cpGT`
`static final char[]`
`cpGTEQUAL`
`static final char[]`
`cpINCR`
`static final char[]`
`cpLBRACE`
`static final char[]`
`cpLBRACKET`
`static final char[]`
`cpLPAREN`
`static final char[]`
`cpLT`
`static final char[]`
`cpLTEQUAL`
`static final char[]`
`cpMAX`
`static final char[]`
`cpMIN`
`static final char[]`
`cpMINUS`
`static final char[]`
`cpMINUSASSIGN`
`static final char[]`
`cpMOD`
`static final char[]`
`cpMODASSIGN`
`static final char[]`
`cpNOT`
`static final char[]`
`cpNOTEQUAL`
`static final char[]`
`cpOR`
`static final char[]`
`cpPLUS`
`static final char[]`
`cpPLUSASSIGN`
`static final char[]`
`cpPOUND`
`static final char[]`
`cpPOUNDPOUND`
`static final char[]`
`cpQUESTION`
`static final char[]`
`cPRAGMA`
`static final char[]`
`cpRBRACE`
`static final char[]`
`cpRBRACKET`
`static final char[]`
`cPRIVATE`
`static final char[]`
`cPROTECTED`
`static final char[]`
`cpRPAREN`
`static final char[]`
`cpSEMI`
`static final char[]`
`cpSHIFTL`
`static final char[]`
`cpSHIFTLASSIGN`
`static final char[]`
`cpSHIFTR`
`static final char[]`
`cpSHIFTRASSIGN`
`static final char[]`
`cpSTAR`
`static final char[]`
`cpSTARASSIGN`
`static final char[]`
`cpTHREEWAYCOMPARISON`
`static final char[]`
`cPUBLIC`
`static final char[]`
`cpXOR`
`static final char[]`
`cpXORASSIGN`
`static final char[]`
`cREGISTER`
`static final char[]`
`cREINTERPRET_CAST`
`static final char[]`
`cRESTRICT`
`static final char[]`
`cRETURN`
`static final char[]`
`cSCCS`
`static final char[]`
`cSHORT`
`static final char[]`
`cSIGNED`
`static final char[]`
`cSIZEOF`
`static final char[]`
`cSIZEOFPACK`
`static final char[]`
`cSTATIC`
`static final char[]`
`cSTATIC_ASSERT`
`static final char[]`
`cSTATIC_CAST`
`static final char[]`
`cSTRUCT`
`static final char[]`
`cSWITCH`
`static final char[]`
`cTEMPLATE`
`static final char[]`
`cTHIS`
`static final char[]`
`cTHREAD_LOCAL`
`static final char[]`
`cTHROW`
`static final char[]`
`cTRUE`
`static final char[]`
`cTRY`
`static final char[]`
`cTYPEDEF`
`static final char[]`
`cTYPEID`
`static final char[]`
`cTYPENAME`
`static final char[]`
`cUNASSERT`
`static final char[]`
`cUNDEF`
`static final char[]`
`cUNION`
`static final char[]`
`cUNSIGNED`
`static final char[]`
`cUSING`
`static final char[]`
`cVA_ARGS`
`static final char[]`
`cVIRTUAL`
`static final char[]`
`cVOID`
`static final char[]`
`cVOLATILE`
`static final char[]`
`cWARNING`
`static final char[]`
`cWCHAR_T`
`static final char[]`
`cWHILE`
`static final char[]`
`cXOR`
`static final char[]`
`cXOR_EQ`
`static final String`
`DECLTYPE`
`static final String`
`DEFAULT`
`static final String`
`DELETE`
`static final String`
`DO`
`static final String`
`DOUBLE`
`static final String`
`DYNAMIC_CAST`
`static final String`
`ELSE`
`static final String`
`ENUM`
`static final String`
`EXPLICIT`
`static final String`
`EXPORT`
`static final String`
`EXTERN`
`static final String`
`FALSE`
`static final String`
`FINAL`
`static final String`
`FLOAT`
`static final String`
`FOR`
`static final String`
`FRIEND`
`static final String`
`GOTO`
`static final String`
`IF`
`static final String`
`INLINE`
`static final String`
`INT`
`static final String`
`LONG`
`static final String`
`LONG_LONG`
`static final String`
`MUTABLE`
`static final String`
`NAMESPACE`
`static final String`
`NEW`
`static final String`
`NOEXCEPT`
`static final String`
`NOT`
`static final String`
`NOT_EQ`
`static final String`
`NULLPTR`
`static final String`
`OPERATOR`
`static final String`
`OR`
`static final String`
`OR_EQ`
`static final String`
`OVERRIDE`
`static final String`
`PRIVATE`
`static final String`
`PROTECTED`
`static final String`
`PUBLIC`
`static final String`
`REGISTER`
`static final String`
`REINTERPRET_CAST`
`static final String`
`RESTRICT`
`static final String`
`RETURN`
`static final String`
`SHORT`
`static final String`
`SIGNED`
`static final String`
`SIZEOF`
`static final String`
`STATIC`
`static final String`
`STATIC_ASSERT`
`static final String`
`STATIC_CAST`
`static final String`
`STRUCT`
`static final String`
`SWITCH`
`static final String`
`TEMPLATE`
`static final String`
`THIS`
`static final String`
`THREAD_LOCAL`
`static final String`
`THROW`
`static final String`
`TRUE`
`static final String`
`TRY`
`static final String`
`TYPEDEF`
`static final String`
`TYPEID`
`static final String`
`TYPENAME`
`static final String`
`TYPEOF`
`static final String`
`UNION`
`static final String`
`UNSIGNED`
`static final String`
`USING`
`static final String`
`VIRTUAL`
`static final String`
`VOID`
`static final String`
`VOLATILE`
`static final String`
`WCHAR_T`
`static final String`
`WHILE`
`static final String`
`XOR`
`static final String`
`XOR_EQ`

## Constructor Summary

Constructors
Constructor
Description
`Keywords()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`addKeywordsC(CharArrayIntMap kw)`
`static void`
`addKeywordsCpp(CharArrayIntMap kw)`
`static void`
`addKeywordsPreprocessor(CharArrayIntMap ppKeywords)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CAST

public static final String CAST

See Also:
  - Constant Field Values

### ALIGNAS

public static final String ALIGNAS

Since:
  5.4
See Also:
  - Constant Field Values

### ALIGNOF

public static final String ALIGNOF

See Also:
  - Constant Field Values

### TYPEOF

public static final String TYPEOF

See Also:
  - Constant Field Values

### _BOOL

public static final String _BOOL

See Also:
  - Constant Field Values

### _COMPLEX

public static final String _COMPLEX

See Also:
  - Constant Field Values

### _IMAGINARY

public static final String _IMAGINARY

See Also:
  - Constant Field Values

### _ALIGNAS

public static final String _ALIGNAS

Since:
  5.10
See Also:
  - Constant Field Values

### _ALIGNOF

public static final String _ALIGNOF

Since:
  5.10
See Also:
  - Constant Field Values

### AND

public static final String AND

See Also:
  - Constant Field Values

### AND_EQ

public static final String AND_EQ

See Also:
  - Constant Field Values

### ASM

public static final String ASM

See Also:
  - Constant Field Values

### AUTO

public static final String AUTO

See Also:
  - Constant Field Values

### BITAND

public static final String BITAND

See Also:
  - Constant Field Values

### BITOR

public static final String BITOR

See Also:
  - Constant Field Values

### BOOL

public static final String BOOL

See Also:
  - Constant Field Values

### BREAK

public static final String BREAK

See Also:
  - Constant Field Values

### CASE

public static final String CASE

See Also:
  - Constant Field Values

### CATCH

public static final String CATCH

See Also:
  - Constant Field Values

### CHAR

public static final String CHAR

See Also:
  - Constant Field Values

### CHAR8_T

public static final String CHAR8_T

Since:
  8.2
See Also:
  - Constant Field Values

### CHAR16_T

public static final String CHAR16_T

Since:
  5.2
See Also:
  - Constant Field Values

### CHAR32_T

public static final String CHAR32_T

Since:
  5.2
See Also:
  - Constant Field Values

### CLASS

public static final String CLASS

See Also:
  - Constant Field Values

### COMPL

public static final String COMPL

See Also:
  - Constant Field Values

### CONST

public static final String CONST

See Also:
  - Constant Field Values

### CONSTEXPR

public static final String CONSTEXPR

Since:
  5.4
See Also:
  - Constant Field Values

### CONST_CAST

public static final String CONST_CAST

See Also:
  - Constant Field Values

### CONTINUE

public static final String CONTINUE

See Also:
  - Constant Field Values

### DECLTYPE

public static final String DECLTYPE

Since:
  5.2
See Also:
  - Constant Field Values

### DEFAULT

public static final String DEFAULT

See Also:
  - Constant Field Values

### DELETE

public static final String DELETE

See Also:
  - Constant Field Values

### DO

public static final String DO

See Also:
  - Constant Field Values

### DOUBLE

public static final String DOUBLE

See Also:
  - Constant Field Values

### DYNAMIC_CAST

public static final String DYNAMIC_CAST

See Also:
  - Constant Field Values

### ELSE

public static final String ELSE

See Also:
  - Constant Field Values

### ENUM

public static final String ENUM

See Also:
  - Constant Field Values

### EXPLICIT

public static final String EXPLICIT

See Also:
  - Constant Field Values

### EXPORT

public static final String EXPORT

See Also:
  - Constant Field Values

### EXTERN

public static final String EXTERN

See Also:
  - Constant Field Values

### FALSE

public static final String FALSE

See Also:
  - Constant Field Values

### FINAL

public static final String FINAL

Since:
  5.9
See Also:
  - Constant Field Values

### FLOAT

public static final String FLOAT

See Also:
  - Constant Field Values

### FOR

public static final String FOR

See Also:
  - Constant Field Values

### FRIEND

public static final String FRIEND

See Also:
  - Constant Field Values

### GOTO

public static final String GOTO

See Also:
  - Constant Field Values

### IF

public static final String IF

See Also:
  - Constant Field Values

### INLINE

public static final String INLINE

See Also:
  - Constant Field Values

### INT

public static final String INT

See Also:
  - Constant Field Values

### LONG

public static final String LONG

See Also:
  - Constant Field Values

### LONG_LONG

public static final String LONG_LONG

See Also:
  - Constant Field Values

### MUTABLE

public static final String MUTABLE

See Also:
  - Constant Field Values

### NAMESPACE

public static final String NAMESPACE

See Also:
  - Constant Field Values

### NULLPTR

public static final String NULLPTR

Since:
  5.4
See Also:
  - Constant Field Values

### NEW

public static final String NEW

See Also:
  - Constant Field Values

### NOEXCEPT

public static final String NOEXCEPT

Since:
  5.4
See Also:
  - Constant Field Values

### NOT

public static final String NOT

See Also:
  - Constant Field Values

### NOT_EQ

public static final String NOT_EQ

See Also:
  - Constant Field Values

### OPERATOR

public static final String OPERATOR

See Also:
  - Constant Field Values

### OR

public static final String OR

See Also:
  - Constant Field Values

### OR_EQ

public static final String OR_EQ

See Also:
  - Constant Field Values

### OVERRIDE

public static final String OVERRIDE

Since:
  5.9
See Also:
  - Constant Field Values

### PRIVATE

public static final String PRIVATE

See Also:
  - Constant Field Values

### PROTECTED

public static final String PROTECTED

See Also:
  - Constant Field Values

### PUBLIC

public static final String PUBLIC

See Also:
  - Constant Field Values

### REGISTER

public static final String REGISTER

See Also:
  - Constant Field Values

### REINTERPRET_CAST

public static final String REINTERPRET_CAST

See Also:
  - Constant Field Values

### RESTRICT

public static final String RESTRICT

See Also:
  - Constant Field Values

### RETURN

public static final String RETURN

See Also:
  - Constant Field Values

### SHORT

public static final String SHORT

See Also:
  - Constant Field Values

### SIGNED

public static final String SIGNED

See Also:
  - Constant Field Values

### SIZEOF

public static final String SIZEOF

See Also:
  - Constant Field Values

### STATIC

public static final String STATIC

See Also:
  - Constant Field Values

### STATIC_ASSERT

public static final String STATIC_ASSERT

Since:
  5.2
See Also:
  - Constant Field Values

### STATIC_CAST

public static final String STATIC_CAST

See Also:
  - Constant Field Values

### STRUCT

public static final String STRUCT

See Also:
  - Constant Field Values

### SWITCH

public static final String SWITCH

See Also:
  - Constant Field Values

### TEMPLATE

public static final String TEMPLATE

See Also:
  - Constant Field Values

### THIS

public static final String THIS

See Also:
  - Constant Field Values

### THREAD_LOCAL

public static final String THREAD_LOCAL

Since:
  5.4
See Also:
  - Constant Field Values

### THROW

public static final String THROW

See Also:
  - Constant Field Values

### TRUE

public static final String TRUE

See Also:
  - Constant Field Values

### TRY

public static final String TRY

See Also:
  - Constant Field Values

### TYPEDEF

public static final String TYPEDEF

See Also:
  - Constant Field Values

### TYPEID

public static final String TYPEID

See Also:
  - Constant Field Values

### TYPENAME

public static final String TYPENAME

See Also:
  - Constant Field Values

### UNION

public static final String UNION

See Also:
  - Constant Field Values

### UNSIGNED

public static final String UNSIGNED

See Also:
  - Constant Field Values

### USING

public static final String USING

See Also:
  - Constant Field Values

### VIRTUAL

public static final String VIRTUAL

See Also:
  - Constant Field Values

### VOID

public static final String VOID

See Also:
  - Constant Field Values

### VOLATILE

public static final String VOLATILE

See Also:
  - Constant Field Values

### WCHAR_T

public static final String WCHAR_T

See Also:
  - Constant Field Values

### WHILE

public static final String WHILE

See Also:
  - Constant Field Values

### XOR

public static final String XOR

See Also:
  - Constant Field Values

### XOR_EQ

public static final String XOR_EQ

See Also:
  - Constant Field Values

### c_BOOL

public static final char[] c_BOOL

### c_COMPLEX

public static final char[] c_COMPLEX

### c_IMAGINARY

public static final char[] c_IMAGINARY

### c_ALIGNAS

public static final char[] c_ALIGNAS

Since:
  5.10

### c_ALIGNOF

public static final char[] c_ALIGNOF

Since:
  5.10

### cALIGNAS

public static final char[] cALIGNAS

Since:
  5.4

### cALIGNOF

public static final char[] cALIGNOF

Since:
  5.3

### cAND

public static final char[] cAND

### cAND_EQ

public static final char[] cAND_EQ

### cASM

public static final char[] cASM

### cAUTO

public static final char[] cAUTO

### cBITAND

public static final char[] cBITAND

### cBITOR

public static final char[] cBITOR

### cBOOL

public static final char[] cBOOL

### cBREAK

public static final char[] cBREAK

### cCASE

public static final char[] cCASE

### cCATCH

public static final char[] cCATCH

### cCHAR

public static final char[] cCHAR

### cCHAR8_T

public static final char[] cCHAR8_T

Since:
  8.2

### cCHAR16_T

public static final char[] cCHAR16_T

Since:
  5.2

### cCHAR32_T

public static final char[] cCHAR32_T

Since:
  5.2

### cCLASS

public static final char[] cCLASS

### cCOMPL

public static final char[] cCOMPL

### cCONST

public static final char[] cCONST

### cCONSTEXPR

public static final char[] cCONSTEXPR

Since:
  5.4

### cCONST_CAST

public static final char[] cCONST_CAST

### cCONTINUE

public static final char[] cCONTINUE

### cDEFAULT

public static final char[] cDEFAULT

### cDECLTYPE

public static final char[] cDECLTYPE

Since:
  5.2

### cDELETE

public static final char[] cDELETE

### cDO

public static final char[] cDO

### cDOUBLE

public static final char[] cDOUBLE

### cDYNAMIC_CAST

public static final char[] cDYNAMIC_CAST

### cELSE

public static final char[] cELSE

### cENUM

public static final char[] cENUM

### cEXPLICIT

public static final char[] cEXPLICIT

### cEXPORT

public static final char[] cEXPORT

### cEXTERN

public static final char[] cEXTERN

### cFALSE

public static final char[] cFALSE

### cFLOAT

public static final char[] cFLOAT

### cFOR

public static final char[] cFOR

### cFINAL

public static final char[] cFINAL

Since:
  5.5

### cFRIEND

public static final char[] cFRIEND

### cGOTO

public static final char[] cGOTO

### cIF

public static final char[] cIF

### cINLINE

public static final char[] cINLINE

### cINT

public static final char[] cINT

### cLONG

public static final char[] cLONG

### cMUTABLE

public static final char[] cMUTABLE

### cNAMESPACE

public static final char[] cNAMESPACE

### cNEW

public static final char[] cNEW

### cNULLPTR

public static final char[] cNULLPTR

Since:
  5.4

### cNOEXCEPT

public static final char[] cNOEXCEPT

Since:
  5.4

### cNOT

public static final char[] cNOT

### cNOT_EQ

public static final char[] cNOT_EQ

### cOPERATOR

public static final char[] cOPERATOR

### cOR

public static final char[] cOR

### cOR_EQ

public static final char[] cOR_EQ

### cOVERRIDE

public static final char[] cOVERRIDE

Since:
  5.5

### cPRIVATE

public static final char[] cPRIVATE

### cPROTECTED

public static final char[] cPROTECTED

### cPUBLIC

public static final char[] cPUBLIC

### cREGISTER

public static final char[] cREGISTER

### cREINTERPRET_CAST

public static final char[] cREINTERPRET_CAST

### cRESTRICT

public static final char[] cRESTRICT

### cRETURN

public static final char[] cRETURN

### cSHORT

public static final char[] cSHORT

### cSIGNED

public static final char[] cSIGNED

### cSIZEOF

public static final char[] cSIZEOF

### cSIZEOFPACK

public static final char[] cSIZEOFPACK

Since:
  5.3

### cSTATIC

public static final char[] cSTATIC

### cSTATIC_ASSERT

public static final char[] cSTATIC_ASSERT

Since:
  5.2

### cSTATIC_CAST

public static final char[] cSTATIC_CAST

### cSTRUCT

public static final char[] cSTRUCT

### cSWITCH

public static final char[] cSWITCH

### cTEMPLATE

public static final char[] cTEMPLATE

### cTHIS

public static final char[] cTHIS

### cTHREAD_LOCAL

public static final char[] cTHREAD_LOCAL

Since:
  5.4

### cTHROW

public static final char[] cTHROW

### cTRUE

public static final char[] cTRUE

### cTRY

public static final char[] cTRY

### cTYPEDEF

public static final char[] cTYPEDEF

### cTYPEID

public static final char[] cTYPEID

### cTYPENAME

public static final char[] cTYPENAME

### cUNION

public static final char[] cUNION

### cUNSIGNED

public static final char[] cUNSIGNED

### cUSING

public static final char[] cUSING

### cVIRTUAL

public static final char[] cVIRTUAL

### cVOID

public static final char[] cVOID

### cVOLATILE

public static final char[] cVOLATILE

### cWCHAR_T

public static final char[] cWCHAR_T

### cWHILE

public static final char[] cWHILE

### cXOR

public static final char[] cXOR

### cXOR_EQ

public static final char[] cXOR_EQ

### cpCOLONCOLON

public static final char[] cpCOLONCOLON

### cpCOLON

public static final char[] cpCOLON

### cpSEMI

public static final char[] cpSEMI

### cpCOMMA

public static final char[] cpCOMMA

### cpQUESTION

public static final char[] cpQUESTION

### cpLPAREN

public static final char[] cpLPAREN

### cpRPAREN

public static final char[] cpRPAREN

### cpLBRACKET

public static final char[] cpLBRACKET

### cpRBRACKET

public static final char[] cpRBRACKET

### cpLBRACE

public static final char[] cpLBRACE

### cpRBRACE

public static final char[] cpRBRACE

### cpPLUSASSIGN

public static final char[] cpPLUSASSIGN

### cpINCR

public static final char[] cpINCR

### cpPLUS

public static final char[] cpPLUS

### cpMINUSASSIGN

public static final char[] cpMINUSASSIGN

### cpDECR

public static final char[] cpDECR

### cpARROWSTAR

public static final char[] cpARROWSTAR

### cpARROW

public static final char[] cpARROW

### cpMINUS

public static final char[] cpMINUS

### cpSTARASSIGN

public static final char[] cpSTARASSIGN

### cpSTAR

public static final char[] cpSTAR

### cpMODASSIGN

public static final char[] cpMODASSIGN

### cpMOD

public static final char[] cpMOD

### cpXORASSIGN

public static final char[] cpXORASSIGN

### cpXOR

public static final char[] cpXOR

### cpAMPERASSIGN

public static final char[] cpAMPERASSIGN

### cpAND

public static final char[] cpAND

### cpAMPER

public static final char[] cpAMPER

### cpBITORASSIGN

public static final char[] cpBITORASSIGN

### cpOR

public static final char[] cpOR

### cpBITOR

public static final char[] cpBITOR

### cpCOMPL

public static final char[] cpCOMPL

### cpNOTEQUAL

public static final char[] cpNOTEQUAL

### cpNOT

public static final char[] cpNOT

### cpEQUAL

public static final char[] cpEQUAL

### cpTHREEWAYCOMPARISON

public static final char[] cpTHREEWAYCOMPARISON

Since:
  8.1

### cpASSIGN

public static final char[] cpASSIGN

### cpSHIFTL

public static final char[] cpSHIFTL

### cpLTEQUAL

public static final char[] cpLTEQUAL

### cpLT

public static final char[] cpLT

### cpSHIFTRASSIGN

public static final char[] cpSHIFTRASSIGN

### cpSHIFTR

public static final char[] cpSHIFTR

### cpGTEQUAL

public static final char[] cpGTEQUAL

### cpGT

public static final char[] cpGT

### cpSHIFTLASSIGN

public static final char[] cpSHIFTLASSIGN

### cpELLIPSIS

public static final char[] cpELLIPSIS

### cpDOTSTAR

public static final char[] cpDOTSTAR

### cpDOT

public static final char[] cpDOT

### cpDIVASSIGN

public static final char[] cpDIVASSIGN

### cpDIV

public static final char[] cpDIV

### cpPOUND

public static final char[] cpPOUND

### cpPOUNDPOUND

public static final char[] cpPOUNDPOUND

### cpMIN

public static final char[] cpMIN

### cpMAX

public static final char[] cpMAX

### cIFDEF

public static final char[] cIFDEF

### cIFNDEF

public static final char[] cIFNDEF

### cELIF

public static final char[] cELIF

### cENDIF

public static final char[] cENDIF

### cINCLUDE

public static final char[] cINCLUDE

### cDEFINE

public static final char[] cDEFINE

### cUNDEF

public static final char[] cUNDEF

### cERROR

public static final char[] cERROR

### cPRAGMA

public static final char[] cPRAGMA

### cLINE

public static final char[] cLINE

### cDEFINED

public static final char[] cDEFINED

### c__HAS_FEATURE

public static final char[] c__HAS_FEATURE

Since:
  5.11

### c__HAS_INCLUDE

public static final char[] c__HAS_INCLUDE

Since:
  7.1

### c__HAS_INCLUDE_NEXT

public static final char[] c__HAS_INCLUDE_NEXT

Since:
  7.1

### _Pragma

public static final char[] _Pragma

Since:
  5.2

### cVA_ARGS

public static final char[] cVA_ARGS

### cINCLUDE_NEXT

public static final char[] cINCLUDE_NEXT

### cIMPORT

public static final char[] cIMPORT

### cIDENT

public static final char[] cIDENT

### cSCCS

public static final char[] cSCCS

### cWARNING

public static final char[] cWARNING

### cASSERT

public static final char[] cASSERT

### cUNASSERT

public static final char[] cUNASSERT

## Constructor Details

### Keywords

public Keywords()

## Method Details

### addKeywordsC

public static void addKeywordsC(CharArrayIntMap kw)

### addKeywordsCpp

public static void addKeywordsCpp(CharArrayIntMap kw)

### addKeywordsPreprocessor

public static void addKeywordsPreprocessor(CharArrayIntMap ppKeywords)